X2Go Bug report logs - #48
heuler x2gothinclient multihead support breaks singlehead mode

version graph

Package: x2gothinclient; Maintainer for x2gothinclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gothinclient is src:x2gothinclient.

Reported by: Stefan Baur <newsgroups.mail2@stefanbaur.de>

Date: Fri, 12 Oct 2012 23:03:02 UTC

Severity: important

Tags: pending

Found in version 1.0.99.1

Fixed in version 1.1.0.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


đź”— View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.502 (Entity 5.502)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
Subject: Bug#48 closed by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 (X2Go issue (in src:x2gothinclient) has been marked as closed)
Message-ID: <handler.48.c.137427140911858.notifdone@bugs.x2go.org>
References: <20130720000319.628836nwa0ha6t9j@mail.das-netzwerkteam.de>
X-X2go-PR-Keywords: pending
X-X2go-PR-Message: they-closed 48
X-X2go-PR-Package: x2gothinclient
X-X2go-PR-Source: x2gothinclient
Date: Fri, 19 Jul 2013 22:03:33 +0000
Content-Type: multipart/mixed; boundary="----------=_1374271413-11869-0"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the x2gothinclient package:

#48: heuler x2gothinclient multihead support breaks singlehead mode

It has been closed by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <mike.gabriel@das-netzwerkteam.de> by
replying to this email.


-- 
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 48-submitter@bugs.x2go.org, 48@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as closed
Date: Sat, 20 Jul 2013 00:03:19 +0200
[Message part 3 (text/plain, inline)]
close #48
thanks

Hello,

we are very hopeful that X2Go issue #48 reported by you
has been resolved in the new release (1.1.0.0) of the
X2Go source project »src:x2gothinclient«.

You can view the complete changelog entry of src:x2gothinclient (1.1.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gothinclient.

      
http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=82d0f1a2a4c45b40e76ce98d2b8ad8b28e7aad56;hp=111c8e9da59660fb68473111fb0a32c7106a1170

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gothinclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gothinclient
Version: 1.1.0.0
Status: RELEASE
Date: Fri, 19 Jul 2013 23:31:10 +0200
Fixes: 47 48 66 95 115 251
Changes:
 x2gothinclient (1.1.0.0) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (1.1.0.0):
     - When X2Go TCE has plymouth installed, make sure pressing the
       halt button does not change to the wrong tty.
     - Truncate echo output lines to less than 80 chars.
     - Use sed to patch initramfs configuration (rather than a patch
       that fails on wheezy). The change is needed for squeeze only.
     - Fix x2go_tce_shell.sh script, escape braces.
     - Change method of mounting /proc, /sys and /dev inside of chroots.
     - Step towards wheezy, enable plymouth boot splash.
     - Symlink /etc/mtab to /proc/mounts before installing any kernel
       during the chroot creation process.
     - Handle /etc/fstab in TCE chroot differently for squeeze and wheezy
       (/dev/pts does not need an entry in fstab on wheezy systems, /var/run
       got relocated to /run).
     - /etc/network/interfaces in wheezy already contains a loopback device
       entry.
     - Mount proc and sysfs from outside chroot, cleanly unmount both in case
       there are more than one mountpoints for sysfs or proc mounted.
     - Do not fail if proc or sysfs are already mounted within chroot.
     - Allow thin client management (x2gothinclient_shell,
       x2gothinclient_upgrade) while thin clients are in use.
     - Disable kms for radeon and i915 graphics adapters.
     - x2gothinclient_shell now does not affect boot behavious of the TCE
       machines anymore, thus, removing the notification output when
       launching the X2Go TCE maintenance shell.
     - Drop i686 kernel support, use i486 kernel by default. In Debian wheezy
       we only find a 686-pae kernel which fails on some (virtual)   
hardware (e.g.
       virtualbox).
     - Make sure that kernel + initrd symlinks are relative symlinks.
     - Keep mounts for /proc and /dev/pts with option noauto for   
mounting inside
       of chroot. They are not needed during TCE boot.
     - Make the SSH daemon listen on IPv4 localhost address only.
     - Provide /dev/pts inside chroot.
     - Move configuration template from /usr/share/tce to /usr/share/tce/etc.
     - Add direct FreeRDP support for defaults TCE installation.
     - Add empty known_host file for FreeRDP.
     - Start with US keyboard as default keyboard layout.
     - Only mount /proc, /sys, /dev/pts inside chroot if not already mounted.
     - Xorg appears as /usr/bin/X in ps ax output. Make sure it gets detected.
     - Provide a README.hostname file in doc folder of   
x2gothinclientmanagement.
     - For TCE stations with multiple heads, align heads next to each other
       in order of appearance in xrandr.
     - Fix multi-head detection failures where xrandr writes output to stderr
       (closes upstream issue #48).
     - Rename x2goclient user to ,,x2gothinclient'' user (system user  
 account).
       Make sure that the system user account gets created during
       x2gothinclient_create and during installation of the x2gothinclient
       package (closes upstream issue #47).
     - x2gothinclient_create: replace /home by /var/lib/x2gothinclient in
       /etc/fstab template.
     - x2gothinclient_update: make sure config target folders exist.
     - x2gothinclient_create: syntax fix, spotted by Thomas GĂĽttler   
(Fixes: #95).
     - Export $LANG and $LANGUAGE to TCE daemon.
     - Use qx instead of open3 to launch x2goclient. (Fixes: #66).
     - Only make x2gousbmount and x2gognupgccid scripts functional if
       x2gothinclientd is running.
     - When finishing x2gothinclientd, wait when killing processes till all
       processes have vanished. Only kill processes owned by user   
x2gothinclient.
     - When finishing x2gothinclientd, make sure no dbus-* processes remain.
     - Unmount /proc, /sys and /dev/pts before doing x2gothinclient_cleanup.
     - Add README.qemu that explains how to test the X2Go TCE with qemu.
       (Fixes: #115).
     - Fix code that turns absolute symlinks into relative symlink   
for /vmlinuz
       and /initrd.img.
     - Fix shutdown button failures.
     - TCE management: Do an apt-get clean after TCE creation/upgrade.
     - TCE creation: fix installation path of FreeRDP's known_hosts file.
     - TCE creation: install the TCE from the nightly builds while this
       project is not yet released. (Fixes: #251).
     - TCE creation: default to wheezy for creating new TCE environments.
   * /debian/control:
     + Maintainer change in package: X2Go Developers   
<x2go-dev@lists.berlios.de>.
     + Priority: optional.
     + Add dependency (x2gothinclient bin:package): x11-xserver-utils  
 (for xrandr
       support).
     + Add dependency (x2gousbmount, x2gocdmanager): libfile-path-expand-perl.
     + Bump Standards to 3.9.3 (no changes needed).
     + Remove TCE tools (vim, mc, ...) from Recommends: field,   
install those via
       x2gothinclient_create. Add pulseaudio, dbus-x11, policykit-1   
to Depends:
       field.
   * /debian/rules:
     + Fix lintian issue: debian-rules-missing-recommended-target build-arch
     + Fix lintian issue: debian-rules-missing-recommended-target build-indep
   * /debian/x2gothinclient.examples:
     + Fix src location of example config files.
   * /debian/x2gothinclient.install:
     + Install TCE config files into /etc/x2go by default.
   * /debian/x2gothinclientmanagement.manpages:
     + Make sure all man pages for bin:package x2gothinclientmanagement get
       installed into package.
   * /debian/x2gothinclient.init:
     + Update pointer to X2Go TCE documentation on http://wiki.x2go.org.
   * /debian/x2gothinclient.postrm:
     + On action=purge, wait for 20s until x2gothinclientd has stopped.
   * /debian/po/*:
     + Use po-debconf for translating debconf templates. Add German debconf
       translation.
   * Launch X2Go TCE via /etc/X11/default-display-manager. Add   
debconf template
     to handle default display manager selection. Inspired by Debian's gdm
     package.
   * Only start X2Go CD Manager if x2gothinclientd is the default display
     manager.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (1.1.0.0):
     - Use expand_file from File::Path::Expand to detect full path
       of ~x2gothinclient/.halt.

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 4 (application/pgp-signature, inline)]
[Message part 5 (message/rfc822, inline)]
From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: submit@bugs.x2go.org
Subject: heuler x2gothinclient multihead support breaks singlehead mode
Date: Sat, 13 Oct 2012 00:50:29 +0200
Package: x2gothinclient
Version: 1.0.99.1
Severity: important

/usr/sbin/x2gothinclientd hangs and does not start x2goclient.
The hang is caused by

DISPLAY=:0 LANG=C xrandr | grep ' connected ' | cut -d ' ' -f1

which, when run manually from the command line, gives

"xrandr: Failed to get size of gamma for output default
default" [sic!]

Disabling the entire routine with

-foreach (`DISPLAY=:0 LANG=C xrandr | grep ' connected ' | cut -d ' ' -f1`)
+foreach('')

fixes the issue for singlehead mode, but breaks multihead mode.

So, two suggestions:
1) STDERR from xrandr  should go to /dev/null or to a log file/syslog, so
-foreach (`DISPLAY=:0 LANG=C xrandr | grep ' connected ' | cut -d ' ' -f1`)
+foreach (`DISPLAY=:0 LANG=C xrandr 2>/dev/null | grep ' connected ' | 
cut -d ' ' -f1`)

2) A simple fix could be
if (1 < `DISPLAY=:0 LANG=C xrandr | grep ' connected ' | wc -l`)
{
    foreach (`DISPLAY=:0 LANG=C xrandr | grep ' connected ' | cut -d ' 
' -f1`)
    {
    ...
    }
}
I'm sure there might be a more elegant solution that works within the 
foreach loop, but "Hanc marginis exiguitas non caperet."

-Stefan

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Oct 3 12:35:01 2022; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.